glibmm 2.39.92

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
Glib::RWLock Class Reference

`#include <glibmm/thread.h>`

Inheritance diagram for Glib::RWLock:
[legend]

## Classes
class | ReaderLock
| Utility class for exception-safe locking of read/write locks. More...
class | WriterLock
| Utility class for exception-safe locking of read/write locks. More...

## Public Member Functions
| RWLock ()
| ~RWLock ()
Public Member Functions inherited from Glib::StaticRWLock
void | reader_lock ()
bool | reader_trylock ()
void | reader_unlock ()
void | writer_lock ()
bool | writer_trylock ()
void | writer_unlock ()
| operator RWLock& ()
GStaticRWLock* | gobj ()

## Additional Inherited Members
Related Functions inherited from Glib::StaticRWLock
#define | GLIBMM_STATIC_RW_LOCK_INIT { G_STATIC_RW_LOCK_INIT }
| Initializer macro for Glib::StaticRWLock. More...

## Detailed Description

Deprecated:
  Use Glib::Threads::RWLock instead.

## Constructor & Destructor Documentation

Glib::RWLock::RWLock | ( | ) |  |

Glib::RWLock::~RWLock | ( | ) |  |